import { SvgIconProps } from "../../app/types/types";

export function AlertErrorIcon(props: SvgIconProps) {
  return (
    <svg width="47" height="46" viewBox="0 0 47 46" fill="none" xmlns="http://www.w3.org/2000/svg" {...props}>
      <rect x="0.5" width="46" height="46" rx="8" fill="#FFDFE8" />
      <path
        d="M23.8827 27.5906C23.6577 27.5906 23.4378 27.6573 23.2507 27.7823C23.0636 27.9073 22.9178 28.085 22.8317 28.2929C22.7456 28.5008 22.7231 28.7295 22.767 28.9502C22.8109 29.1709 22.9192 29.3736 23.0783 29.5327C23.2374 29.6918 23.4401 29.8001 23.6608 29.844C23.8815 29.8879 24.1102 29.8654 24.3181 29.7793C24.526 29.6932 24.7036 29.5474 24.8286 29.3603C24.9536 29.1732 25.0204 28.9532 25.0204 28.7282C25.0204 28.4265 24.9005 28.1372 24.6872 27.9238C24.4738 27.7105 24.1845 27.5906 23.8827 27.5906ZM36.0225 29.2626L26.863 13.3327C26.5671 12.8018 26.1347 12.3596 25.6107 12.0517C25.0866 11.7439 24.4898 11.5815 23.882 11.5815C23.2742 11.5815 22.6774 11.7439 22.1533 12.0517C21.6292 12.3596 21.1969 12.8018 20.9009 13.3327L11.7984 29.2641C11.492 29.7807 11.3274 30.3689 11.3211 30.9695C11.3148 31.57 11.4672 32.1616 11.7627 32.6844C12.0582 33.2072 12.4864 33.6428 13.0041 33.9472C13.5219 34.2516 14.1107 34.4139 14.7113 34.4179H33.0527C33.658 34.424 34.2541 34.269 34.7798 33.9687C35.3055 33.6684 35.7419 33.2337 36.0442 32.7092C36.3464 32.1846 36.5037 31.5891 36.4999 30.9837C36.4961 30.3783 36.3313 29.7848 36.0225 29.2641V29.2626ZM34.0541 31.5379C33.9544 31.7155 33.8089 31.863 33.6328 31.9652C33.4566 32.0674 33.2563 32.1204 33.0527 32.1187H14.7113C14.5094 32.1194 14.311 32.067 14.1358 31.9666C13.9606 31.8663 13.815 31.7216 13.7135 31.5472C13.612 31.3727 13.5582 31.1746 13.5576 30.9727C13.557 30.7708 13.6095 30.5724 13.7099 30.3973L22.8125 14.4719C22.9079 14.2855 23.0529 14.129 23.2316 14.0197C23.4103 13.9105 23.6157 13.8527 23.8251 13.8527C24.0345 13.8527 24.2399 13.9105 24.4186 14.0197C24.5973 14.129 24.7423 14.2855 24.8377 14.4719L33.9972 30.3973C34.11 30.5677 34.1748 30.7654 34.1848 30.9695C34.1949 31.1736 34.1497 31.3767 34.0541 31.5574V31.5379ZM23.8752 18.4865C23.5735 18.4865 23.2842 18.6064 23.0708 18.8197C22.8575 19.0331 22.7376 19.3224 22.7376 19.6242V24.1747C22.7376 24.4764 22.8575 24.7658 23.0708 24.9791C23.2842 25.1925 23.5735 25.3123 23.8752 25.3123C24.177 25.3123 24.4663 25.1925 24.6797 24.9791C24.893 24.7658 25.0129 24.4764 25.0129 24.1747V19.6197C25.0113 19.3203 24.8918 19.0336 24.6802 18.8217C24.4687 18.6099 24.1821 18.49 23.8827 18.488L23.8752 18.4865Z"
        fill="#FF3B71"
      />
    </svg>
  )
}
